Debian Bug report logs - #660602
Item pane may be reset during feed update

version graph

Package: liferea; Maintainer for liferea is David Michael Smith <sidicas2@gmail.com>; Source for liferea is src:liferea.

Reported by: Ben Hutchings <ben@decadent.org.uk>

Date: Mon, 20 Feb 2012 04:33:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version liferea/1.6.5-1.2

Fixed in version liferea/1.8.5-0.1

Done: bojo42 <bojo42@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#660602; Package liferea. (Mon, 20 Feb 2012 04:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
New Bug report received and forwarded. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Mon, 20 Feb 2012 04:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Item pane may be reset during feed update
Date: Mon, 20 Feb 2012 04:30:29 +0000
Package: liferea
Version: 1.6.5-1.2+b1
Severity: important

When I'm using the Unread folder and feeds are updated automatically
(i.e. based on time, not because I invoked the Update command), if I
have opened a link in the current item, the item pane is sometimes
reset to show the item summary.

It seems as if when items are added to the headline list the current
item might be treated as having been re-selected.  However, when the
item's feed configuration has 'auto-load item link' enabled, the pane
is reset to the summary - so the behaviour is not the same as if I
actually selected the headline.

Ben.

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages liferea depends on:
ii  gconf2              3.2.3-1
ii  libatk1.0-0         2.2.0-2
ii  libc6               2.13-26
ii  libcairo2           1.10.2-6.2
ii  libdbus-1-3         1.4.18-1
ii  libdbus-glib-1-2    0.98-1
ii  libgconf2-4         3.2.3-1
ii  libgdk-pixbuf2.0-0  2.24.1-1
ii  libglade2-0         1:2.6.4-1
ii  libglib2.0-0        2.30.2-6
ii  libgtk2.0-0         2.24.9-2
ii  libice6             2:1.0.7-2
ii  liblua5.1-0         5.1.4-12
ii  libnm-glib4         0.9.2.0-2
ii  libnotify4          0.7.4-1
ii  libpango1.0-0       1.29.4-2
ii  libsm6              2:1.2.0-2
ii  libsoup2.4-1        2.36.1-1
ii  libsqlite3-0        3.7.10-1
ii  libwebkitgtk-1.0-0  1.6.3-1
ii  libx11-6            2:1.4.4-4
ii  libxml2             2.7.8.dfsg-7
ii  libxslt1.1          1.1.26-8
ii  liferea-data        1.6.5-1.2

Versions of packages liferea recommends:
ii  curl      7.24.0-1
ii  dbus      1.4.18-1
ii  dbus-x11  1.4.18-1
ii  wget      1.13.4-2

Versions of packages liferea suggests:
ii  network-manager  0.9.2.0-2

-- no debconf information




Severity set to 'normal' from 'important' Request was from Moray Allan <moray@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 20:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#660602; Package liferea. (Wed, 28 Mar 2012 22:36:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moray Allan <moray@sermisy.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Wed, 28 Mar 2012 22:36:13 GMT) Full text and rfc822 format available.

Message #12 received at 660602@bugs.debian.org (full text, mbox):

From: Moray Allan <moray@sermisy.org>
To: 660602@bugs.debian.org
Subject: Re: Item pane may be reset during feed update
Date: Wed, 28 Mar 2012 23:35:43 +0100
This is now fixed upstream in version 1.8.4.

-- 
Moray




Added tag(s) fixed-upstream. Request was from Moray Allan <moray@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 22:39:02 GMT) Full text and rfc822 format available.

Reply sent to bojo42 <bojo42@gmail.com>:
You have taken responsibility. (Wed, 25 Apr 2012 19:51:15 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Wed, 25 Apr 2012 19:51:15 GMT) Full text and rfc822 format available.

Message #19 received at 660602-close@bugs.debian.org (full text, mbox):

From: bojo42 <bojo42@gmail.com>
To: 660602-close@bugs.debian.org
Subject: Bug#660602: fixed in liferea 1.8.5-0.1
Date: Wed, 25 Apr 2012 19:49:13 +0000
Source: liferea
Source-Version: 1.8.5-0.1

We believe that the bug you reported is fixed in the latest version of
liferea, which is due to be installed in the Debian FTP archive:

liferea-data_1.8.5-0.1_all.deb
  to main/l/liferea/liferea-data_1.8.5-0.1_all.deb
liferea-dbg_1.8.5-0.1_amd64.deb
  to main/l/liferea/liferea-dbg_1.8.5-0.1_amd64.deb
liferea_1.8.5-0.1.debian.tar.gz
  to main/l/liferea/liferea_1.8.5-0.1.debian.tar.gz
liferea_1.8.5-0.1.dsc
  to main/l/liferea/liferea_1.8.5-0.1.dsc
liferea_1.8.5-0.1_amd64.deb
  to main/l/liferea/liferea_1.8.5-0.1_amd64.deb
liferea_1.8.5.orig.tar.gz
  to main/l/liferea/liferea_1.8.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660602@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
bojo42 <bojo42@gmail.com> (supplier of updated liferea package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 17 Apr 2012 11:04:06 +0200
Source: liferea
Binary: liferea liferea-data liferea-dbg
Architecture: source all amd64
Version: 1.8.5-0.1
Distribution: unstable
Urgency: low
Maintainer: Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>
Changed-By: bojo42 <bojo42@gmail.com>
Description: 
 liferea    - feed aggregator for GNOME
 liferea-data - architecture independent data for liferea
 liferea-dbg - liferea debug symbols
Closes: 542276 660602 667936
Changes: 
 liferea (1.8.5-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * New upstream release.
     - UI is responsive during updates in current releases (Closes: #542276)
     - Item pane reset issue got fixed in 1.8.4 (Closes: #660602)
     - Shows search folder in reduced view mode again (Closes: #667936)
Checksums-Sha1: 
 0f6910c3b4846078d6ebff5d0e7337685208f435 1704 liferea_1.8.5-0.1.dsc
 076cde160fff49a4b8c59fdae0571659ce8acd88 1864937 liferea_1.8.5.orig.tar.gz
 44d8b4e7255030d7a260ea3becbaed6c4be02e18 19365 liferea_1.8.5-0.1.debian.tar.gz
 956d6864d052cfa3fe86b9a1f170d869f39597e0 916034 liferea-data_1.8.5-0.1_all.deb
 21559d008ac454c216ef60520ac774ed3e3a9ed6 212658 liferea_1.8.5-0.1_amd64.deb
 84875228eb2350c687aafebff06111503fab2abe 579870 liferea-dbg_1.8.5-0.1_amd64.deb
Checksums-Sha256: 
 a0240e4ff0cf94b701c422e4f7daecf9fc7d7a536fae85d78465daf5b69121a6 1704 liferea_1.8.5-0.1.dsc
 d59ec17d3d10129d3c99fafb8a61aabdc06b610d578f05c01d7b7df0046e1fe8 1864937 liferea_1.8.5.orig.tar.gz
 066d128c3ccbbcea619dc48ce356e0b786b60b7f733623b5fc4a466b840962c2 19365 liferea_1.8.5-0.1.debian.tar.gz
 0b292dfbf19866ae8ca3cf6dbd78e846c1ff862a9a25168af37a7ca8a677d63f 916034 liferea-data_1.8.5-0.1_all.deb
 178cbe0786b744cd50eb48a0c5791bb93af0941352c4ac64bd49f54534f41610 212658 liferea_1.8.5-0.1_amd64.deb
 5b99c0e233595f5c0d8fe5f6efb68814a195e6a5e9f3d24121fbb5fc30ae98a7 579870 liferea-dbg_1.8.5-0.1_amd64.deb
Files: 
 2ffc9ac26679cfcb640a36e345d43563 1704 web optional liferea_1.8.5-0.1.dsc
 fd0e58fa742c21b47d6e62a2f6afc0df 1864937 web optional liferea_1.8.5.orig.tar.gz
 2913bb8184e6a2d6e222876f4ae041d7 19365 web optional liferea_1.8.5-0.1.debian.tar.gz
 99ac7e585f507366c5bef74fe77737a9 916034 web optional liferea-data_1.8.5-0.1_all.deb
 5a6631bdca4fbdb8b7a9e9bba764ccab 212658 web optional liferea_1.8.5-0.1_amd64.deb
 fa7ad97ac2cc95e7bbd0aac5508e861b 579870 debug extra liferea-dbg_1.8.5-0.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+PEYkACgkQ500puCvhbQHHyACfZ0eX15OXVOOkYXh3cbZM6FJL
KoYAn1U2pMxt40lyqVgtCuvpRy3jiMbJ
=qA2n
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 Jun 2012 07:33:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:28:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.